%define major 4
%define libname %mklibname xfcegui4_ %{major}
%define develname %mklibname xfcegui4 -d

Summary:	Various GTK+ widgets for Xfce desktop environment
Name:		libxfcegui4
Version: 	4.6.1
Release: 	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
#(tpg) http://bugzilla.xfce.org/show_bug.cgi?id=3614
Patch0:		%{name}-4.4.2-extension-strip.patch
Patch1:		%{name}-4.4.2-use-thunar.patch
Patch2:		%{name}-4.4.2-fix-underlinking.patch
BuildRequires:	gtk2-devel >= 2.0.6
BuildRequires:	libxfce4util-devel >= 4.6.0
BuildRequires:	startup-notification-devel
BuildRequires:	gettext-devel
BuildRequires:	xfce4-dev-tools >= 4.6.0
BuildRequires:	libglade2-devel
BuildRequires:	glade3-devel
BuildRequires:	xfconf-devel >= 4.6.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Various GTK+ widgets for Xfce desktop environment.

%package -n %{libname}
Summary:	Gui libraries for Xfce
Group:		Graphical desktop/Xfce
Obsoletes:	libxfcegui4-plugins < 4.5.91
Provides:	libxfcegui4-plugins
Requires:	librsvg2
Obsoletes:	%mklibname xfcegui4 4

%description -n %{libname}
Gui libraries for Xfce desktop environment.

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	xfce4-dev-tools
Requires:	libglade2-devel
Requires:	glade3-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libxfce4gui-devel = %{version}-%{release}
Obsoletes:	%mklibname xfcegui4_ 4 -d

%description -n %{develname}
Libraries and header files for the %{name} library.

%prep
%setup -q
%patch0 -p1 -b .icons
%patch1 -p1 -b .thunar
%patch2 -p1

%build
# (tpg) needed for patch 2
NOCONFIGURE=1 xdt-autogen

%configure2_5x \
%if %mdkversion < 200900
	--sysconfdir=%{_sysconfdir}/X11 \
%endif
	--disable-static \
	--enable-startup-notification

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%exclude %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
%{_libdir}/lib*.so.%{major}*
%{_libdir}/libglade/2.0/libxfce4.la
%{_libdir}/libglade/2.0/libxfce4.so
%{_iconsdir}/*/*
%{_libdir}/glade3/modules/libgladexfce4.la
%{_libdir}/glade3/modules/libgladexfce4.so
%{_datadir}/glade3/catalogs/xfce4.xml
%{_datadir}/glade3/catalogs/xfce4.xml.in
%{_datadir}/glade3/pixmaps/hicolor/*/actions/*.png
%{_libdir}/libxfce4kbd-private.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README NEWS
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/*
%{_datadir}/gtk-doc/html/libxfcegui4/*


%changelog
* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368571
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-3mdv2009.1
+ Revision: 349163
- rebuild whole xfce

* Sat Feb 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 346116
- fix file list

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345685
- Add files
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333891
- update to new version 4.5.99.1

* Wed Jan 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329536
- update to new version 4.5.93

* Fri Dec 19 2008 Funda Wang <fundawang@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 316053
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303489
- exclude xfce4-keyboard-shortcuts.xml as it should be in mandriva-xfce-config
- versionate buildrequires on xfconf-devel
- add buildrequires on xfconf-devel
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-3mdv2009.1
+ Revision: 302316
- rebuild

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-2mdv2009.1
+ Revision: 302169
- add buildrequires on glade3-devel

* Wed Oct 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294068
- Xfce4.6 beta1 is landing on cooker

* Sun Oct 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-11mdv2009.1
+ Revision: 292979
- use patch to fix underlinking
- Patch0: fix patch (#44001 OO.o icons were not displayed)

* Fri Aug 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-10mdv2009.0
+ Revision: 268290
- fix underlinking issue in a real bad way ;)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-9mdv2009.0
+ Revision: 205573
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Wed Apr 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-8mdv2009.0
+ Revision: 199472
- Patch0: this one should be better

* Wed Apr 30 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-7mdv2009.0
+ Revision: 199451
- Patch1: don't call xftree4 which is long time ago depreciated

* Fri Mar 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-6mdv2008.1
+ Revision: 189380
- Patch0: fix entension stripping for icons (Xfce upstream bug #3614)

* Tue Jan 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-5mdv2008.1
+ Revision: 156274
- fix libification, broken in last release

* Tue Jan 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2008.1
+ Revision: 156000
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2008.1
+ Revision: 113989
- update to the latest tarball

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 110092
- remove not needed buildrequires
- move docs to the devel package

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109929
- new version
- correct the license
- move docs to the devel package

* Thu Nov 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-4mdv2008.1
+ Revision: 104399
- requires librsvg
- new license policy
- update description
- SILET remove it

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 44109
- new devel library policy
- disable building of static files rather deleting them
- correct provides/obsoletes
- fix file list
- add translations

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32580
- bump release tag
- drop __libtoolize and __cputoolize
- spec file clean

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14558
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112307
- New release 4.4.0

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 91726
- New release 4.3.99.2
- Import libxfcegui4

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Tue Mar 07 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn release r20246
- drop plugin package

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- new major
- don't run libtoolize
- update filelist
- ignore 4.3.7 version

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- drop P0, merged upstream

* Tue Oct 11 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- From Cris Boylan <cris@mandriva.org>
  - Patch for gtk2.8 (fixes taskbar titles overflow, bug #18594)

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Thu Nov 18 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-2mdk
- buildrequires libxml2-devel

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- add buildrequires dbh-devel startup-notification-devel
- adjust soname major
- add plugins package for Xfce-utils and Xffm
- add locale files

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

